#ifndef __ConstSimpleData_h__
#define __ConstSimpleData_h__

#include "IConstSimpleData.h"
#include "IHeapData.h"

class ConstSimpleData : public IConstSimpleData
{
public:
	ConstSimpleData( const void *data, unsigned size ) : _data( data ), _size( size )
	{
	}

    ConstSimpleData( IHeapData &data ) : _data( data.data() ), _size( data.size() )
    {
    }

	const void *data() const
	{
		return _data;
	}

	unsigned size() const
	{
		return _size;
	}

    const char *asChar() const
    {
        return (char *)_data;
    }

private:
	const void *_data;
	unsigned _size;
};

#endif // __ConstSimpleData_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
