#ifndef __IEngine_h__
#define __IEngine_h__

#include "IThreaded.h"
#include "Vector.h"

class Event;
class String;
class ThreadStateGraph;

class IEngine : public IThreaded
{
public:
    virtual ~IEngine() {}

    virtual void addThreadBlockingData( const String &threadName, Vector<Event> blockableEvents ) = 0;
    virtual void addThreadStateGraph( const String &threadName, ThreadStateGraph &threadStateGraph ) = 0;
};

#endif // __IEngine_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
